Name:          flatpack
Version:       4.0.0
Release:       2%{?dist}
Summary:       Flat File Parser via XML Mappings (fixed length,CSV)
License:       ASL 2.0
URL:           http://flatpack.sourceforge.net/
# wget https://github.com/Appendium/flatpack/archive/4.0.0.tar.gz
# rm -rf flatpack-4.0.0/flatpack/src/site/*  flatpack-4.0.0/flatpack-samples/src/site/* flatpack-4.0.0/src/site/*
# tar cJf flatpack-4.0.0-clean.tar.xz flatpack-4.0.0
Source0:       flatpack-%{version}-clean.tar.xz
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sourceforge.jexcelapi:jxl)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildArch:     noarch

%description
Simple Java delimited and fixed width file parser.
Handles CSV, Excel CSV, Tab, Pipe delimiters,
just to name a few. Maps column positions in the
file to user friendly names via XML.

%package examples
Summary:       FlatPack Examples

%description examples
This package contains FlatPack Examples.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.jar" -delete
find . -name "*.class" -delete

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

sed -i 's|${pom.artifactId}|${project.artifactId}|' pom.xml %{name}/pom.xml %{name}-samples/pom.xml
sed -i 's|${pom.version}|${project.version}|' pom.xml  %{name}/pom.xml %{name}-samples/pom.xml

%pom_change_dep -r jexcelapi:jxl net.sourceforge.jexcelapi: %{name} %{name}-samples

sed -i 's/\r//' LICENSE.txt README.md

%mvn_file net.sf.%{name}:%{name} %{name}
%mvn_file net.sf.%{name}:%{name}-examples %{name}-examples
%mvn_package net.sf.%{name}:%{name}-examples examples

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files examples -f .mfiles-examples
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jan 28 2015 gil cattaneo <puntogil@libero.it> 4.0.0-2
- remove logos in site directories
- fix installation of main package
- use pom macros

* Wed Jan 28 2015 gil cattaneo <puntogil@libero.it> 4.0.0-1
- update to 4.0.0

* Sat Jun 15 2013 gil cattaneo <puntogil@libero.it> 3.2.0-1
- initial rpm
